org.keycloak.saml.processing.core.saml.v2.writers

## Class SAMLResponseWriter

- java.lang.Object
- - org.keycloak.saml.processing.core.saml.v2.writers.BaseWriter
  - - org.keycloak.saml.processing.core.saml.v2.writers.SAMLResponseWriter

-     public class SAMLResponseWriter
      extends BaseWriter

  Write a SAML Response to stream
  Since:
    Nov 2, 2010
  Author:
    Anil.Saldhana@redhat.com

- - ### Field Summary

    - ### Fields inherited from class org.keycloak.saml.processing.core.saml.v2.writers.BaseWriter

      `ASSERTION_PREFIX, logger, PROTOCOL_PREFIX, writer, XACML_SAML_PREFIX, XACML_SAML_PROTO_PREFIX, XSI_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAMLResponseWriter(XMLStreamWriter writer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `write(ArtifactResponseType response)`
    `void` | `write(ResponseType response)` Write a `ResponseType` to stream
    `void` | `write(StatusCodeType statusCodeType)` Write a `StatusCodeType` to stream
    `void` | `write(StatusDetailType statusDetailType)` Write a `StatusDetailType` to stream
    `void` | `write(StatusResponseType response, QName qname)` Write a `StatusResponseType`
    `void` | `write(StatusType status)` Write a `StatusType` to stream

    - ### Methods inherited from class org.keycloak.saml.processing.core.saml.v2.writers.BaseWriter

      `write, write, write, writeAttributeTypeWithoutRootTag, writeLocalizedNameType, writeNameIDTypeAttributeValue, writeStringAttributeValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SAMLResponseWriter

          public SAMLResponseWriter(XMLStreamWriter writer)

  - ### Method Detail

    - #### write

          public void write(ResponseType response)
                     throws ProcessingException

      Write a `ResponseType` to stream
      Parameters:
        `response` -
        `out` -
      Throws:
        `ProcessingException`

    - #### write

          public void write(ArtifactResponseType response)
                     throws ProcessingException

      Throws:
        `ProcessingException`

    - #### write

          public void write(StatusResponseType response,
                            QName qname)
                     throws ProcessingException

      Write a `StatusResponseType`
      Parameters:
        `response` -
        `qname` - QName of the starting element
        `out` -
      Throws:
        `ProcessingException`

    - #### write

          public void write(StatusType status)
                     throws ProcessingException

      Write a `StatusType` to stream
      Parameters:
        `status` -
        `out` -
      Throws:
        `ProcessingException`

    - #### write

          public void write(StatusCodeType statusCodeType)
                     throws ProcessingException

      Write a `StatusCodeType` to stream
      Parameters:
        `statusCodeType` -
        `out` -
      Throws:
        `ProcessingException`

    - #### write

          public void write(StatusDetailType statusDetailType)
                     throws ProcessingException

      Write a `StatusDetailType` to stream
      Parameters:
        `statusDetailType` -
        `out` -
      Throws:
        `ProcessingException`

Copyright © 2016 JBoss by Red Hat. All rights reserved.